flare-game_1.09.01-1_all.deb


Advertisement

Description

flare-game - fantasy single-player 2D action role-playing game

Property Value
Distribution Ubuntu 19.10 (Eoan Ermine)
Repository Ubuntu Universe i386
Package filename flare-game_1.09.01-1_all.deb
Package name flare-game
Package version 1.09.01
Package release 1
Package architecture all
Package type deb
Category universe/games
Homepage http://flarerpg.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 116.77 MB
Installed size 126.70 MB
Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
handle a very specific kind of game: single-player 2D action RPGs. Flare is not
a reimplementation of an existing game or engine. It is a tribute to and
exploration of the action RPG genre.
Rather than building a very abstract, robust game engine, the goal of this
project is to build several real games and harvest an engine from the common,
reusable code. This first game, in progress, is a fantasy dungeon crawl.

Alternatives

Package Version Architecture Repository
flare-game_1.09.01-1_all.deb 1.09.01 all Ubuntu Universe
flare-game - - -

Requires

Name Value
flare-engine -
fonts-liberation -
ttf-unifont -

Replaces

Name Value
flare << 0.19
flare-data << 0.19

Download

Type URL
Mirror archive.ubuntu.com
Binary Package flare-game_1.09.01-1_all.deb
Source Package flare-game

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install flare-game deb package:
    # sudo apt-get install flare-game

Changelog

2019-01-29 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare-game (1.09.01-1) unstable; urgency=medium
* New upstream release
* d/copyright, d/watch: Update upstream URLs
* d/copyright: use https in format URL
* Bump Policy Standards-Version to 4.3.0 (no changes needed)
2018-09-07 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare-game (1.07-1) unstable; urgency=medium
* New upstream release
- Fix font paths/links for new upstream release
* Remove manpage shipped from debian/
* d/control:
- Update maintainers
- Update Vcs-* fields
* Bump Policy Standards-Version to 4.1.5 (no changes needed)
* debhelper compatibility level set to v11
* d/patches:
- remove fix-762099-tryexec-desktop-file.patch
* Drop conversion of logo (and related Build-Depends), not present
upstream in this repo anymore
* d/rules: removed wrong/unneeded instructions for the current upstream
release
2014-10-25 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare-game (0.19-2) unstable; urgency=medium
[ Martin Quinson ]
* Don't build-dep on quilt, and don't pass it as a deb-helper module
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 3.9.6 (no changes needed)
* Add patch fix-762099-tryexec-desktop-file.patch to remove the extra
argument " --game=flare-game" from TryExec, otherwise the item does
not appear in the menus.  Thanks Ronny Standtke (Closes: #762099)
2014-07-17 - Martin Quinson <mquinson@debian.org>
flare-game (0.19-1) unstable; urgency=medium
* New upstream release.
The game and the engine are now split in two separate source packages.
* Provide a menu file (Closes: #737876).
2013-05-08 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare (0.18-1) unstable; urgency=low
[ Jan-Hendrik Peters ]
* New upstream version 0.18
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 3.9.4 (no changes needed)
* Change maintaner address
* Remove obsolete "DM-Upload-Allowed: yes"
2012-12-28 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.17.1-1~exp1) experimental; urgency=low
[ Jan-Hendrik Peters ]
* New upstream version
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 3.9.3 (no changes needed)
* debhelper compatibility level set to 9 (brings fortified builds and other
goodies), dependencies change accordingly
* Depending on fonts (liberation and unifont) rather than installing the
embedded ones
* Review of debian/copyright for the new version, documenting licenses of
included fonts, updating URLs, copyright file format
* Updated watch file
2011-12-26 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.15.1-1) unstable; urgency=low
[ Jan-Hendrik Peters <hennr@hennr.name> ]
* New upstream release (Closes: #646455)
- Imported Upstream version 0.15.1 [76cb190]
* Added new build dependency: libsdl-ttf2.0-dev
[ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
* Remove stuff in debian/ now present upstream:
- flare.desktop (now in distribution/flare.desktop.in)
- flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
debian/source/include-binaries (created because of this icon)
* debian/rules:
- No need for "override_dh_fixperms" with this upstream
- Now it doesn't contain the master CMakeLists.txt on build, so no need for
overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
(already commented out); nor "--builddirectory=build" to the base "dh"
template.
- "override_dh_install" to include --fail-missing (to avoid not installing
new files by mistake, in this package with the data changing so often)
* debian/copyright: minor updates, e.g. changes to dir names and clarifying
that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
* Update package descriptions (text taken from upstream's README)

See Also

Package Description
flare_0.19-1_all.deb Meta package to deal with package name changes in Flare 0.19
flashbake_0.27.1-0.1_all.deb automated snapshots with git
flashbench_62-1build1_i386.deb identify flash storage properties
flashproxy-client_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - client transport plugin
flashproxy-common_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - common library
flashproxy-facilitator_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - facilitator
flashproxy-proxy_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - browser proxy
flashrom_1.1-1_i386.deb Identify, read, write, erase, and verify BIOS/ROM/flash chips
flasm_1.62-10_i386.deb assembler and disassembler for Flash (SWF) bytecode
flatlatex_0.8-1_all.deb Python3 LaTeX math converter to unicode text - binaries
flatnuke_2.7.2-0ubuntu3_all.deb flat-file based CMS
flatpak-builder-tests_1.0.8-2_i386.deb Application deployment framework for desktop apps (tests)
flatpak-builder_1.0.8-2_i386.deb Flatpak application building helper
flatpak-tests_1.4.3-1_i386.deb Application deployment framework for desktop apps (tests)
flatpak-xdg-utils-tests_1.0.0-1_i386.deb as-installed tests for flatpak-xdg-utils
Advertisement
Advertisement